Skip to main content
PATCH
/
v4
/
variables
/
{variableId}
Update a variable
curl --request PATCH \
  --url https://api.kadoa.com/v4/variables/{variableId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "key": "<string>",
  "value": "<string>",
  "dataType": "STRING"
}
'
{
  "variable": {
    "id": "<string>",
    "key": "<string>",
    "value": "<string>",
    "createdAt": "<string>",
    "dataType": "STRING",
    "updatedAt": "<string>"
  },
  "error": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication

Path Parameters

variableId
string
required

Variable ID

Body

application/json

Body

Request body for updating a variable (at least one field required)

key
string

New variable key

Minimum string length: 1
value
string

New variable value

dataType
enum<string>
default:STRING

The data type of the variable value

Available options:
STRING,
NUMBER,
BOOLEAN,
JSON

Response

200

Response containing a single variable

variable
Variable · object
required

A key-value variable scoped to a team or user

error
string | null
required